Subject: Re: [PATCH net-next v15 00/14] Device Memory TCP

From: [email-masked]
Date: Wed, 03 Jul 2024 04:20:29 +0000

Hello:

This series was applied to netdev/net-next.git (main)
by Jakub Kicinski <[email-masked]>:

On Fri, 28 Jun 2024 00:32:37 +0000 you wrote:
> v15: https://patchwork.kernel.org/project/netdevbpf/list/?series=865481&state=*
> ====
> 
> No material changes in this version, only a fix to linking against
> libynl.a from the last version. Per Jakub's instructions I've pulled one
> of his patches into this series, and now use the new libynl.a correctly,
> I hope.
> 
> [...]

Here is the summary with links:
  - [net-next,v15,01/14] netdev: add netdev_rx_queue_restart()
    (no matching commit)
  - [net-next,v15,02/14] net: netdev netlink api to bind dma-buf to a net device
    (no matching commit)
  - [net-next,v15,03/14] netdev: support binding dma-buf to netdevice
    (no matching commit)
  - [net-next,v15,04/14] netdev: netdevice devmem allocator
    (no matching commit)
  - [net-next,v15,05/14] page_pool: convert to use netmem
    https://git.kernel.org/netdev/net-next/c/4dec64c52e24
  - [net-next,v15,06/14] page_pool: devmem support
    (no matching commit)
  - [net-next,v15,07/14] memory-provider: dmabuf devmem memory provider
    (no matching commit)
  - [net-next,v15,08/14] net: support non paged skb frags
    (no matching commit)
  - [net-next,v15,09/14] net: add support for skbs with unreadable frags
    (no matching commit)
  - [net-next,v15,10/14] tcp: RX path for devmem TCP
    (no matching commit)
  - [net-next,v15,11/14] net: add SO_DEVMEM_DONTNEED setsockopt to release RX frags
    (no matching commit)
  - [net-next,v15,12/14] net: add devmem TCP documentation
    (no matching commit)
  - [net-next,v15,13/14] tools: net: package libynl for use in selftests
    https://git.kernel.org/netdev/net-next/c/07c3cc51a085
  - [net-next,v15,14/14] selftests: add ncdevmem, netcat for devmem TCP
    (no matching commit)

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html